Candidate version 20111113-1 for SRU to Lucid, Maverick, Natty, Oneiric

Bug #856700 reported by Mathieu Trudel-Lapierre on 2011-09-22
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mobile-broadband-provider-info (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

As a reference:
https://launchpad.net/ubuntu/+source/mobile-broadband-provider-info/20110806-1

M-b-p-i hasn't been uploaded to older releases in quite a while; I think it's way overdue ;)

Making the best of the permanent SRU exception for m-b-p-i: https://wiki.ubuntu.com/StableReleaseUpdates#mobile-broadband-provider-info

RATIONALE:
Long overdue update to a very low-risk package; m-b-p-i is purely data used by NetworkManager to provide a list of presets for known providers, intended to be used to create new mobile broadband (3G) connections.

TEST CASE:
Verify that the ZON provider for Portugal is present, or that there are providers listed for Namibia.

Changed in mobile-broadband-provider-info (Ubuntu):
status: New → In Progress
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Bhavani Shankar (bhavi) wrote :

Hello Matthieu!

Thanks for the SRU Update bug even I was thinking of a SRU this weekend but there are some overdue bugs I reported upstream

https://bugzilla.gnome.org/show_bug.cgi?id=657551

https://bugzilla.gnome.org/show_bug.cgi?id=653905

and we can close bugs en masse with a new release and a SRU of new release.

Just my humble thought

Your views welcome.

Regards

Bhavani Shankar (bhavi) wrote :

Hi Matthieu,

Here is the diff for oneiric

Bhavani Shankar (bhavi) wrote :

Here is the diff for natty

Bhavani Shankar (bhavi) wrote :

Here is the diff for maverick

Bhavani Shankar (bhavi) wrote :

Here is debdiff for lucid

Regards

tags: added: patch

It looks good, it's a little sad that there is so much autotools noise, though.

Subscribing ubuntu-sru, I'll upload this later tonight (or tomorrow morning) unless someone beats me to it :)

Changed in mobile-broadband-provider-info (Ubuntu):
assignee: Mathieu Trudel-Lapierre (mathieu-tl) → nobody
Changed in mobile-broadband-provider-info (Ubuntu Oneiric):
status: New → Fix Released
Changed in mobile-broadband-provider-info (Ubuntu):
status: In Progress → Fix Released

I went a little fast there, so marking the Oneiric and floating tasks Fix Released since Oneiric and later already have the fix.

Changed in mobile-broadband-provider-info (Ubuntu Lucid):
status: New → In Progress
Changed in mobile-broadband-provider-info (Ubuntu Maverick):
status: New → In Progress
Changed in mobile-broadband-provider-info (Ubuntu Natty):
status: New → In Progress
summary: - Candidate version 20110806-1 for SRU to Lucid, Maverick, Natty.
+ Candidate version 20111113-1 for SRU to Lucid, Maverick, Natty, Oneiric
Changed in mobile-broadband-provider-info (Ubuntu Oneiric):
status: Fix Released → In Progress

Thanks Bhavani!

I sponsored the uploads to all releases (lucid, maverick, natty, oneiric), since it was actually 20111113-1 in the patches; this is still pending approval from the SRU team, though. :)

Bhavani, since you're already MOTU and you're also the maintainer for that package in Debian, I'd invite you to apply for per-package upload rights for this package, if you want to do these updates yourself.

FWIW; we've been kind of lax for a bit with updating m-b-p-i, as such I consider this upload to absolutely satisfy the "significant changes" clause in the SRU exception (https://wiki.ubuntu.com/StableReleaseUpdates#mobile-broadband-provider-info). I think we can do better on this side and try to upload an SRU for m-b-p-i once every three months or so, or at least somewhat in sync with point releases in the future? Provider details change all the time, so users would definitely benefit from it.

Bhavani Shankar (bhavi) wrote :

Hello Matt,

Thanks for the upload. Surely I will make a sincere effort in this regard to upload SRU's atleast quarterly :)

 Thanks again!

Hello Mathieu, or anyone else affected,

Accepted mobile-broadband-provider-info into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in mobile-broadband-provider-info (Ubuntu Oneiric):
status: In Progress → Fix Committed
tags: added: verification-needed
Clint Byrum (clint-fewbar) wrote :

Just as a note, this will need to be re-uploaded to precise with a version of 20111113-1ubuntu1 in order to make sure upgrades happen correctly, so I am setting the status back to Triaged in precise.

Changed in mobile-broadband-provider-info (Ubuntu):
status: Fix Released → Triaged
Changed in mobile-broadband-provider-info (Ubuntu Natty):
status: In Progress → Fix Committed
Clint Byrum (clint-fewbar) wrote :

Hello Mathieu, or anyone else affected,

Accepted mobile-broadband-provider-info into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Clint Byrum (clint-fewbar) wrote :

Hello Mathieu, or anyone else affected,

Accepted mobile-broadband-provider-info into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in mobile-broadband-provider-info (Ubuntu Maverick):
status: In Progress → Fix Committed
Clint Byrum (clint-fewbar) wrote :

Hey guys, I notice the upload to lucid-proposed reverts the previous one, but it seems like this one supersedes that update completely, so it should be OK. Can you confirm before I approve it for lucid-proposed? Thanks!

Bhavani Shankar (bhavi) wrote :

Hey Clint,

Sorry for the delayed reply, I prepared a diff based on the previous SRU in lucid because it does supersede previous SRU in lucid I think personally. Your thoughts on the same welcome.

Regarding the version change upload in precise, Please feel free to upload the package if you have time :)

Matt, Antii: Your views too on clint's comment above welcome.

Regards,
Bhavi.

Clint Byrum (clint-fewbar) wrote :

Hello Mathieu, or anyone else affected,

Accepted mobile-broadband-provider-info into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in mobile-broadband-provider-info (Ubuntu Lucid):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mobile-broadband-provider-info - 20111113-1ubuntu1

---------------
mobile-broadband-provider-info (20111113-1ubuntu1) precise; urgency=low

  * No change re-upload to ensure precise has a higher version than all
    prior releases. (LP: #856700)
 -- Clint Byrum <email address hidden> Fri, 16 Dec 2011 13:14:18 -0800

Changed in mobile-broadband-provider-info (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mobile-broadband-provider-info - 20111113-1ubuntu0.11.10

---------------
mobile-broadband-provider-info (20111113-1ubuntu0.11.10) oneiric-proposed; urgency=low

  * SRU exception upload to support various updated networks
    (LP: #856700), (LP: #709049)
 -- Bhavani Shankar <email address hidden> Mon, 05 Dec 2011 20:50:51 +0530

Changed in mobile-broadband-provider-info (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Bartosz Kosiorek (gang65) wrote :

ZON provider for Portugal is present.
For Namibia there are two new providers: Leo, MTC.
For Poland there are also new providers not available before package upgrade.

Verification success for Lucid.

tags: added: verification-done-lucid
tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mobile-broadband-provider-info - 20111113-1ubuntu0.10.04

---------------
mobile-broadband-provider-info (20111113-1ubuntu0.10.04) lucid-proposed; urgency=low

  * SRU exception upload to support various updated networks
    (LP: #856700), (LP: #709049)
 -- Bhavani Shankar <email address hidden> Mon, 05 Dec 2011 21:23:17 +0530

Changed in mobile-broadband-provider-info (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mobile-broadband-provider-info - 20111113-1ubuntu0.10.10

---------------
mobile-broadband-provider-info (20111113-1ubuntu0.10.10) maverick-proposed; urgency=low

  * SRU exception upload to support various updated networks
    (LP: #856700), (LP: #709049)
 -- Bhavani Shankar <email address hidden> Mon, 05 Dec 2011 21:23:17 +0530

Changed in mobile-broadband-provider-info (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mobile-broadband-provider-info - 20111113-1ubuntu0.11.04

---------------
mobile-broadband-provider-info (20111113-1ubuntu0.11.04) natty-proposed; urgency=low

  * SRU exception upload to support various updated networks
    (LP: #856700), (LP: #709049)
 -- Bhavani Shankar <email address hidden> Mon, 05 Dec 2011 21:00:50 +0530

Changed in mobile-broadband-provider-info (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.